Skip to main content
PATCH
Update Cluster Trigger

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

trigger_id
string
required

Trigger ID

Body

application/json

Request to update an existing trigger.

schedule_config
Schedule Config · object | null

Updated schedule configuration

description
string | null

Updated description

status
enum<string> | null

Updated status

Available options:
active,
paused,
disabled,
failed

Response

Successful Response

Model for cluster trigger.

namespace_id
string
required

Namespace ID

internal_id
string
required

Organization internal ID

execution_config
TriggerExecutionConfig · object
required

Configuration for cluster execution

trigger_type
enum<string>
required

Type of trigger

Available options:
cron,
interval,
event,
conditional
schedule_config
Schedule Config · object
required

Type-specific schedule configuration

trigger_id
string

Unique trigger ID

cluster_id
string | null

Optional link to cluster definition

status
enum<string>
default:active

Current status

Available options:
active,
paused,
disabled,
failed
last_triggered_at
string<date-time> | null

Last time trigger fired

last_execution_job_id
string | null

Job ID of last execution

next_scheduled_at
string<date-time> | null

Next scheduled execution time

execution_count
integer
default:0

Total executions

consecutive_failures
integer
default:0

Consecutive execution failures

last_execution_status
string | null

Status of last execution

last_execution_error
string | null

Error from last execution

event_counter
integer
default:0

Current event count since last trigger

last_cooldown_at
string<date-time> | null

Last time cooldown was applied

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp

created_by
string | null

User who created trigger

description
string | null

Trigger description